> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/user-message.md).

# User Message

the user message API

## PUT /cmn/users/{id}/messages/last\_read

> mark messages as seen

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/{id}/messages/last_read":{"put":{"tags":["User Message"],"summary":"mark messages as seen","operationId":"putLastRead","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lastRead","in":"query","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /cmn/users/my/messages/last\_read

> mark current user messages as seen

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/my/messages/last_read":{"put":{"tags":["User Message"],"summary":"mark current user messages as seen","operationId":"putMyLastRead","parameters":[{"name":"lastRead","in":"query","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /cmn/users/me/messages/{id}

> update a message

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/me/messages/{id}":{"put":{"tags":["User Message"],"summary":"update a message","operationId":"updateMessage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-user-UserMessage"}}}}}}}},"components":{"schemas":{"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"common-user-UserMessage":{"description":"Nachricht","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recipientRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"senderRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"senderBotAlias":{"type":"string","description":"Versender (Bot Name), falls kein user der Sender war","readOnly":true},"sendTime":{"type":"string","format":"date-time","description":"Zeitstempel: Gesendet","readOnly":true},"updateTime":{"type":"string","format":"date-time","description":"Zeitstempel: Aktualisierungszeit","readOnly":true},"lastRead":{"type":"string","format":"date-time","description":"Zeitstempel: Gelesen","readOnly":true},"state":{"type":"string","description":"Status","enum":["SEEN","NOT_SEEN"],"readOnly":true},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"priority":{"type":"string","description":"Priorität der Nachricht","enum":["HIGH","NORMAL","LOW"],"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## DELETE /cmn/users/me/messages/{id}

> delete a message

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/me/messages/{id}":{"delete":{"tags":["User Message"],"summary":"delete a message","operationId":"deleteMyMessage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /cmn/users/me/messages

> post a message

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/me/messages":{"post":{"tags":["User Message"],"summary":"post a message","operationId":"postMessage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-user-UserMessageCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-user-UserMessage"}}}}}}}},"components":{"schemas":{"common-user-UserMessageCreateRequest":{"description":"Nachricht-Umschlag zum verschicken","properties":{"recipientUserIds":{"type":"array","description":"Empfänger User","items":{"type":"integer","format":"int64","description":"Empfänger User"}},"recipientGroupIds":{"type":"array","description":"Empfänger User-Gruppen (werden zu Usern)","items":{"type":"integer","format":"int64","description":"Empfänger User-Gruppen (werden zu Usern)"}},"senderBotAlias":{"type":"string","description":"optional ein BotName als versender. Nur für interne Apps und darf nur mit leeren userIds/groupIds verwendet werden"},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}},"required":["message"]},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"common-user-UserMessage":{"description":"Nachricht","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recipientRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"senderRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"senderBotAlias":{"type":"string","description":"Versender (Bot Name), falls kein user der Sender war","readOnly":true},"sendTime":{"type":"string","format":"date-time","description":"Zeitstempel: Gesendet","readOnly":true},"updateTime":{"type":"string","format":"date-time","description":"Zeitstempel: Aktualisierungszeit","readOnly":true},"lastRead":{"type":"string","format":"date-time","description":"Zeitstempel: Gelesen","readOnly":true},"state":{"type":"string","description":"Status","enum":["SEEN","NOT_SEEN"],"readOnly":true},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"priority":{"type":"string","description":"Priorität der Nachricht","enum":["HIGH","NORMAL","LOW"],"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## GET /cmn/users/{id}/messages/count

> return message count for specific user

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/{id}/messages/count":{"get":{"tags":["User Message"],"summary":"return message count for specific user","operationId":"getMessageCount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"state","in":"query","required":false,"schema":{"type":"string","enum":["SEEN","NOT_SEEN"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}}}}
```

## GET /cmn/users/me/messages/count

> return message count for user

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/me/messages/count":{"get":{"tags":["User Message"],"summary":"return message count for user","operationId":"getMyMessageCount","parameters":[{"name":"state","in":"query","required":false,"schema":{"type":"string","enum":["SEEN","NOT_SEEN"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}}}}
```

## DELETE /cmn/users/{userId}/messages/{id}

> delete a message

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/{userId}/messages/{id}":{"delete":{"tags":["User Message"],"summary":"delete a message","operationId":"deleteMessage","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## DELETE /cmn/users/me/seen-messages

> delete all seen messages

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/me/seen-messages":{"delete":{"tags":["User Message"],"summary":"delete all seen messages","operationId":"deleteMySeenMessages","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## DELETE /cmn/users/me/all-messages

> delete all messages

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"User Message","description":"the user message API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/cmn/users/me/all-messages":{"delete":{"tags":["User Message"],"summary":"delete all messages","operationId":"deleteMyMessages","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/user-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
